(function( $ ) {
	'use strict';

	tsseph_check_form();
	
	$('select[name="tsseph_options[SposobUhrady]"]').change( function() {
		tsseph_check_form();
	})

	$('#tsseph_RovnakaNavratova').change( function() {
		if ($(this).is(':checked')) {
			$('.tsseph_return_address').hide();
		}
		else {
			$('.tsseph_return_address').show();
		}
	});

	$('#spirit-eph-show-log').click(function() {
		$('#spirit-eph-log ').show();
		$('#spirit-eph-show-log').hide();
	});

	//Init Select2 for PaymentType
	$(document).ready(function($) {
        $('select[name="tsseph_options[PaymentType][]"]').select2();
    });

	function tsseph_check_form() {

		var eph_payment_method = $('select[name="tsseph_options[SposobUhrady]"]');

	/*
		Ak v elemente <SposobUhrady> uvediete kód pre bezhotovostný spôsob 
		úhrady (1 - poštovné úverované, 2 - výplatný stroj, 3 - platené prevodom, 8
		– faktúra, 9 – online (platobná karta) musí byť element
		<Hmotnost>vyplnený vždy.
	*/
		if (eph_payment_method.val() == 1 || eph_payment_method.val() == 2 
			|| eph_payment_method.val() == 3 || eph_payment_method.val() == 8 
			|| eph_payment_method.val() == 9  ) {
			eph_payment_method.parent().find('.tsseph_warning').show();
		} else {
			eph_payment_method.parent().find('.tsseph_warning').hide();
		}

		//Ak sa vyberie faktúra, je potrebné upozorniť používateľa o zadaní podacích čísel.
		if (eph_payment_method.val() == 8) {
			eph_payment_method.parent().find('.tsseph_warning_faktura').show();
		}
		else {
			eph_payment_method.parent().find('.tsseph_warning_faktura').hide();
		}
	}

    
})( jQuery );

/*
* Ajax to update shipping method change
*/
function tsseph_shipping_change(event, url) {
	jQuery.ajax(
		{
			type: "post",
			action: "tsseph_set_shipping_method",
			url: url,
			data: {
				shipping_method_id: jQuery(event).val()
			},
			success: function(response){
				jQuery(event).parent().find('.eph_save_status').css('display', 'inline-block');
				 setTimeout(function() {
				 	jQuery(event).parent().find('.eph_save_status').fadeOut();
				 }, 3000);
			}
		});
}
